const colors = require('tailwindcss/colors');
const { colors: defaultColors } = require('tailwindcss/defaultTheme')

module.exports = {
    rkMode: false,
    content: [
        "./**/*.{razor,html,cshtml}",
        "./node_modules/flowbite/**/*.js"
    ],
    theme: {
        fontSize: {
            xs: '.75rem',
            sm: '.875rem',
            tiny: '.875rem',
            base: '1rem',
            lg: '1.125rem',
            xl: '1.25rem',
            '2xl': '1.5rem',
            '3xl': '1.875rem',
            '4xl': '2.25rem',
            '5xl': '3rem',
            '6xl': '4rem',
            '7xl': '5rem'
        },
        fontFamily: {
            "iranyekan": ["'iranyekan'"],
        },
        extend: {
        }
    },
    plugins: [
        require('@tailwindcss/typography'),
        require('flowbite/plugin')
    ],
}

//purge: {
//    enabled: true,
//        content: [
//            './**/*.html',
//            './**/*.razor'
//        ],
//    },